Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class ContentException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.activity.SemanticException
                  org.eclipse.birt.report.model.api.command.ContentException

    public class ContentException

extends SemanticException

Reports an error during a container operation.

Field Summary
`protected java.lang.String` | `containerProp` The property name within the container.
`protected org.eclipse.birt.report.model.core.DesignElement` | `content` The content in the container.
`static java.lang.String` | `DESIGN_EXCEPTION_CONTENT_NAME_REQUIRED` The content is not allowed to added into the container without name.
`static java.lang.String` | `DESIGN_EXCEPTION_CONTENT_NOT_ALLOWED_PASTED` The content element cannot be pasted into the container.
`static java.lang.String` | `DESIGN_EXCEPTION_CONTENT_NOT_FOUND` The content element does not appear within the container.
`static java.lang.String` | `DESIGN_EXCEPTION_DROP_FORBIDDEN` Deprecated. since birt 2.2
`static java.lang.String` | `DESIGN_EXCEPTION_GROUPS_CHANGE_FORBIDDEN` The table/list has data binding reference to other elements.
`static java.lang.String` | `DESIGN_EXCEPTION_HAS_DESCENDENTS` The content in component slot has descendents.
`static java.lang.String` | `DESIGN_EXCEPTION_HAS_NO_CONTAINER` Tried to move or delete an element that has no container.
`static java.lang.String` | `DESIGN_EXCEPTION_INVALID_CONTEXT_CONTAINMENT` The content is not allowed to in one element's slot in any level.
`static java.lang.String` | `DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT` The template element has no referred template definition, it is invalid.
`static java.lang.String` | `DESIGN_EXCEPTION_MOVE_FORBIDDEN` The content element cannot be deleted.
`static java.lang.String` | `DESIGN_EXCEPTION_NOT_CONTAINER` The purported container element is not, in fact, a container.
`static java.lang.String` | `DESIGN_EXCEPTION_RECURSIVE` Attempt to move an element inside itself, or inside one of its contents.
`static java.lang.String` | `DESIGN_EXCEPTION_SLOT_IS_FULL` Attempt to add a second item to a single-item slot.
`static java.lang.String` | `DESIGN_EXCEPTION_SLOT_NOT_FOUND` The operation referenced a slot that does not exist.
`static java.lang.String` | `DESIGN_EXCEPTION_STRUCTURE_CHANGE_FORBIDDEN` Can not change the structure of an element if it is a child element, or it is within a child element, or it is a template parameter definition.
`static java.lang.String` | `DESIGN_EXCEPTION_TEMPLATE_TRANSFORM_FORBIDDEN` The template element has no referred template definition, it is invalid.
`static java.lang.String` | `DESIGN_EXCEPTION_WRONG_TYPE` The given content element is of the wrong type for the slot.
`protected int` | `slot` The slot within the container.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`ContentException(org.eclipse.birt.report.model.core.DesignElement element, int slotID, org.eclipse.birt.report.model.core.DesignElement content, java.lang.String errCode)` Constructs the exception with container element slot id, content element and error code.
`ContentException(org.eclipse.birt.report.model.core.DesignElement element, int slotID, java.lang.String errCode)` Constructs the exception with container element, slot id, and error code.
`ContentException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String propName, org.eclipse.birt.report.model.core.DesignElement content, java.lang.String errCode)` Constructs the exception with container element slot id, content element and error code.
`ContentException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String propName, java.lang.String errCode)` Constructs the exception with container element, slot id, and error code.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`int` | `getSlot()` Returns the slot ID.

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slot

    protected int slot

  The slot within the container.

### content

    protected org.eclipse.birt.report.model.core.DesignElement content

  The content in the container.

### containerProp

    protected java.lang.String containerProp

  The property name within the container.

### DESIGN_EXCEPTION_STRUCTURE_CHANGE_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_STRUCTURE_CHANGE_FORBIDDEN

  Can not change the structure of an element if it is a child element, or it is within a child element, or it is a template parameter definition.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_SLOT_NOT_FOUND

    public static final java.lang.String DESIGN_EXCEPTION_SLOT_NOT_FOUND

  The operation referenced a slot that does not exist.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_WRONG_TYPE

    public static final java.lang.String DESIGN_EXCEPTION_WRONG_TYPE

  The given content element is of the wrong type for the slot.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_DROP_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_DROP_FORBIDDEN

  Deprecated. since birt 2.2
  The content element cannot be deleted.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CONTENT_NOT_FOUND

    public static final java.lang.String DESIGN_EXCEPTION_CONTENT_NOT_FOUND

  The content element does not appear within the container.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_NOT_CONTAINER

    public static final java.lang.String DESIGN_EXCEPTION_NOT_CONTAINER

  The purported container element is not, in fact, a container.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_SLOT_IS_FULL

    public static final java.lang.String DESIGN_EXCEPTION_SLOT_IS_FULL

  Attempt to add a second item to a single-item slot.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_RECURSIVE

    public static final java.lang.String DESIGN_EXCEPTION_RECURSIVE

  Attempt to move an element inside itself, or inside one of its contents.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_HAS_NO_CONTAINER

    public static final java.lang.String DESIGN_EXCEPTION_HAS_NO_CONTAINER

  Tried to move or delete an element that has no container. Generally occurs when trying to work with an element that either has not yet been added to a design, or has been removed from the design.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_MOVE_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_MOVE_FORBIDDEN

  The content element cannot be deleted.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_HAS_DESCENDENTS

    public static final java.lang.String DESIGN_EXCEPTION_HAS_DESCENDENTS

  The content in component slot has descendents.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_INVALID_CONTEXT_CONTAINMENT

    public static final java.lang.String DESIGN_EXCEPTION_INVALID_CONTEXT_CONTAINMENT

  The content is not allowed to in one element's slot in any level.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CONTENT_NAME_REQUIRED

    public static final java.lang.String DESIGN_EXCEPTION_CONTENT_NAME_REQUIRED

  The content is not allowed to added into the container without name.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT

    public static final java.lang.String DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT

  The template element has no referred template definition, it is invalid.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_TEMPLATE_TRANSFORM_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_TEMPLATE_TRANSFORM_FORBIDDEN

  The template element has no referred template definition, it is invalid.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_GROUPS_CHANGE_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_GROUPS_CHANGE_FORBIDDEN

  The table/list has data binding reference to other elements. Its groups cannot be added, moved or removed.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CONTENT_NOT_ALLOWED_PASTED

    public static final java.lang.String DESIGN_EXCEPTION_CONTENT_NOT_ALLOWED_PASTED

  The content element cannot be pasted into the container.

  See Also:
    Constant Field Values

Constructor Detail

### ContentException

    public ContentException(org.eclipse.birt.report.model.core.DesignElement element,
                            int slotID,
                            java.lang.String errCode)

  Constructs the exception with container element, slot id, and error code.

  Parameters:
    `element` - The container element.
    `slotID` - The slot within the container.
    `errCode` - What went wrong.

### ContentException

    public ContentException(org.eclipse.birt.report.model.core.DesignElement element,
                            int slotID,
                            org.eclipse.birt.report.model.core.DesignElement content,
                            java.lang.String errCode)

  Constructs the exception with container element slot id, content element and error code.

  Parameters:
    `element` - The container element.
    `slotID` - The slot within the container.
    `content` - The content in the container element.
    `errCode` - What went wrong.

### ContentException

    public ContentException(org.eclipse.birt.report.model.core.DesignElement element,
                            java.lang.String propName,
                            java.lang.String errCode)

  Constructs the exception with container element, slot id, and error code.

  Parameters:
    `element` - The container element.
    `propName` - The property name within the container.
    `errCode` - What went wrong.

### ContentException

    public ContentException(org.eclipse.birt.report.model.core.DesignElement element,
                            java.lang.String propName,
                            org.eclipse.birt.report.model.core.DesignElement content,
                            java.lang.String errCode)

  Constructs the exception with container element slot id, content element and error code.

  Parameters:
    `element` - The container element.
    `propName` - The property name within the container.
    `content` - The content in the container element.
    `errCode` - What went wrong.

Method Detail

### getSlot

    public int getSlot()

  Returns the slot ID.

  Returns:
    the slot ID

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.